Subject: bug#52016: 28.0.60; calc-edit creates a strange window layout

From: Stefan Kangas <[email-masked]>
Date: Thu, 2 Dec 2021 17:12:07 -0800

Kevin Fleming <[email-masked]> writes:

> martin rudalics <[email-masked]> writes:
>
>> Does it help to set 'calc-make-windows-dedicated' to nil?
>
> Yes, with that set to nil, the behavior is the same as in Emacs 27.2.

Copying in Boruch Baum who wrote the patch to add that option.

Should we set that variable to nil by default in emacs-28, at least
until we can come up with a fix for this?  It seems like a rather
unfortunate regression.

>From reading Bug#44108 it didn't sound like Martin was too enthusiastic
about this option, and suggested that it might not even be needed at
all?